# eric7.Plugins.VcsPlugins.vcsGit.GitRemoteRepositoriesDialog

Module implementing a dialog to show available remote repositories.

### Global Attributes

None

### Classes

GitRemoteRepositoriesDialog | Class implementing a dialog to show available remote repositories.

### Functions

None

## GitRemoteRepositoriesDialog

Class implementing a dialog to show available remote repositories.

### Derived from

QWidget, Ui_GitRemoteRepositoriesDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitRemoteRepositoriesDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__generateItem | Private method to generate a status item in the status list.
__procFinished | Private slot connected to the finished signal.
__readStderr | Private slot to handle the readyReadStandardError signal.
__readStdout | Private slot to handle the readyReadStandardOutput signal.
__resizeColumns | Private method to resize the list columns.
__resort | Private method to resort the list.
__updateButtons | Private method to update the buttons status.
closeEvent | Protected slot implementing a close event handler.
keyPressEvent | Protected slot to handle a key press event.
on_addButton_clicked | Private slot to add a remote repository.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_changeUrlButton_clicked | Private slot to change the URL of a remote repository.
on_credentialsButton_clicked | Private slot to change the credentials of a remote repository.
on_input_returnPressed | Private slot to handle the press of the return key in the input field.
on_passwordCheckBox_toggled | Private slot to handle the password checkbox toggled.
on_pruneButton_clicked | Private slot to prune all stale remote-tracking branches.
on_refreshButton_clicked | Private slot to refresh the status display.
on_removeButton_clicked | Private slot to remove a remote repository.
on_renameButton_clicked | Private slot to rename a remote repository.
on_repolist_itemSelectionChanged | Private slot to act upon changes of selected items.
on_sendButton_clicked | Private slot to send the input to the git process.
on_showInfoButton_clicked | Private slot to show information about a remote repository.
start | Public slot to start the git remote command.

### Static Methods

None

#### GitRemoteRepositoriesDialog (Constructor)

GitRemoteRepositoriesDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### GitRemoteRepositoriesDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### GitRemoteRepositoriesDialog.__generateItem

__generateItem(name, url, oper)

Private method to generate a status item in the status list.

name
  name of the remote repository (string)
url
  URL of the remote repository (string)
oper
  operation the remote repository may be used for (string)

#### GitRemoteRepositoriesDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### GitRemoteRepositoriesDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStandardError signal.

It reads the error output of the process and inserts it into the error pane.

#### GitRemoteRepositoriesDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStandardOutput signal.

It reads the output of the process, formats it and inserts it into the contents pane.

#### GitRemoteRepositoriesDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### GitRemoteRepositoriesDialog.__resort

__resort()

Private method to resort the list.

#### GitRemoteRepositoriesDialog.__updateButtons

__updateButtons()

Private method to update the buttons status.

#### GitRemoteRepositoriesDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### GitRemoteRepositoriesDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

#### GitRemoteRepositoriesDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to add a remote repository.

#### GitRemoteRepositoriesDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### GitRemoteRepositoriesDialog.on_changeUrlButton_clicked

on_changeUrlButton_clicked()

Private slot to change the URL of a remote repository.

#### GitRemoteRepositoriesDialog.on_credentialsButton_clicked

on_credentialsButton_clicked()

Private slot to change the credentials of a remote repository.

#### GitRemoteRepositoriesDialog.on_input_returnPressed

on_input_returnPressed()

Private slot to handle the press of the return key in the input field.

#### GitRemoteRepositoriesDialog.on_passwordCheckBox_toggled

on_passwordCheckBox_toggled(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

#### GitRemoteRepositoriesDialog.on_pruneButton_clicked

on_pruneButton_clicked()

Private slot to prune all stale remote-tracking branches.

#### GitRemoteRepositoriesDialog.on_refreshButton_clicked

on_refreshButton_clicked()

Private slot to refresh the status display.

#### GitRemoteRepositoriesDialog.on_removeButton_clicked

on_removeButton_clicked()

Private slot to remove a remote repository.

#### GitRemoteRepositoriesDialog.on_renameButton_clicked

on_renameButton_clicked()

Private slot to rename a remote repository.

#### GitRemoteRepositoriesDialog.on_repolist_itemSelectionChanged

on_repolist_itemSelectionChanged()

Private slot to act upon changes of selected items.

#### GitRemoteRepositoriesDialog.on_sendButton_clicked

on_sendButton_clicked()

Private slot to send the input to the git process.

#### GitRemoteRepositoriesDialog.on_showInfoButton_clicked

on_showInfoButton_clicked()

Private slot to show information about a remote repository.

#### GitRemoteRepositoriesDialog.start

start(projectDir)

Public slot to start the git remote command.

projectDir
  name of the project directory (string)

Up